Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6206 - Wrong names for POP in /etc/services
Summary: Wrong names for POP in /etc/services
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setup
Version: 6.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-21 22:54 UTC by Jeff Makey
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-29 21:37:19 UTC


Attachments (Terms of Use)

Description Jeff Makey 1999-10-21 22:54:29 UTC
The names listed for the two Post Office Protocol port
numbers in the /etc/services file are wrong according to RFC
1700 (at ftp://ftp.isi.edu/in-notes/rfc1700.txt).  The
/etc/services file shows the names for ports 109 and 110 as
"pop-2" and "pop-3", respectively, but their official names
are "pop2" and "pop3".  This incompatibility makes it
difficult to write portable software.  I recommend changing
the relevant lines to look like this:

pop2   109/tcp   pop-2 postoffice   # POP version 2
pop2   109/udp   pop-2
pop3   110/tcp   pop-3              # POP version 3
pop3   110/udp   pop-3

Comment 1 Bill Nottingham 1999-10-29 21:37:59 UTC
Fixed in setup-2.0.6-1.


Note You need to log in before you can comment on or make changes to this bug.